Bug 45597 - FORMATTING: Wrong Paragraph Inserted with Direct Cursor in "Tab and spaces" mode
Summary: FORMATTING: Wrong Paragraph Inserted with Direct Cursor in "Tab and spaces" mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Direct-Cursor
  Show dependency treegraph
 
Reported: 2012-02-03 08:45 UTC by Harald Koester
Modified: 2021-01-16 04:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-02-03 08:45:23 UTC
In order to reproduce do:
[1] Open new text document.
[2] Enable viewing "Nonprinting Characters" in order to view the results of the following steps.
[3] Enable Direct Cursor (Tools > Options > LibreOffice Writer > Formatting Aids) and select "Tabs" (or "Tabs and spaces"). Then "OK".
[4] Move the mouse pointer over the document. The cursors follows the pointer and there is a little triangle at the right side of the cursor. Click somewhere into the document and a left-aligned paragraph is inserted with tabs (and spaces) up to the cursor position.
[5] Now move the mouse pointer slowly and horizontal exactly to the middle of the document. When you reach the middle, at both sides of the cursor little triangles are displayed. Stop here and click into the document. Now a centered paragraph is inserted !!!

Expected behaviour: At all positions a left-aligned paragraph should be inserted in the modes "Tabs" and "Tabs and spaces".

             
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.26) Gecko/20120128 Firefox/3.6.26
Comment 1 sasha.libreoffice 2012-03-16 08:10:34 UTC
Thanks for bugreport
But where is written that so should be? It is format optimization for direct cursor and cursor with double triangle indicates this.

May be needed additional option for disabling this optimization? Then this bug should be Functionality Request bug.
Comment 2 Harald Koester 2012-03-19 13:03:26 UTC
Hello Sasha,

I do not really understand, what you mean with format optimization. As far as I understood, the double triangle is used in the direct cursor mode "Paragraph alignment". There it indicates, that a centered paragraph will be inserted, if you click. In this mode the double triangle cursor works correctly as I expect it.

I talked about the direct cursor modes "Tabs" and "Tabs and Spaces". In the help these options are described as follows:

Mode Tabs: "When the direct cursor is used, as many tabs as necessary are added in the new paragraph until the clicked position is reached."

Mode Tabs and Spaces: "When the Direct Cursor is used, a corresponding number of tabs and spaces are inserted in the new paragraph as necessary until the clicked position is reached."

In these modes if you click in the right or left side of the page, always a left aligned paragraph with tabs (and spaces) up to the click position is inserted. But this does not work if you click exactly in the middle of a line (indicated with double triangle). In this case a centered paragraph is inserted. And no tabs (and no spaces) are inserted as described in the help text.

I think this behaviour is just only a little malfunction and it is not really important that it is solved. But it came across me and so I described it.

Harald
Comment 3 sasha.libreoffice 2012-03-20 03:22:44 UTC
Thanks for additional explanations. I mean that if cursor placed in middle of screen, "Centred" paragraph inserted and no need of tabs and spaces at all.
But this behaviour creates one problem: when some text inserted in "Centred" paragraph, beginning of text becomes to left of centre. It is not the thing we may want. From other hand, we already have option that creates automatically such paragraphs, "Paragraph alignment". Therefore for "Tabs" and "Tabs and spaces" options is no need for inserting Centred paragraph.

Reproduced in 3.3.4 and 3.5.1 on Fedora 64 bit
Changing version to 3.3.4 as most early reproducible 

Meanwhile, use "Left paragraph margin". It has no such problem, result of it not depends from font size and tabs size.
Comment 4 A (Andy) 2014-08-02 11:47:55 UTC
reproducible with LO 4.3.0.4 (Win 8.1)
Comment 5 QA Administrators 2015-09-04 02:49:31 UTC Comment hidden (obsolete)
Comment 6 Harald Koester 2015-09-11 09:11:56 UTC
Bug still exists in version 5.0.1 with Win7
Comment 7 QA Administrators 2016-09-20 10:29:22 UTC Comment hidden (obsolete)
Comment 8 Harald Koester 2016-10-07 19:48:39 UTC
Bug still exists in version 5.2.2 with Win7.
Bug already exists in version 3.3.0. Hence inherited from OOo.
Comment 9 QA Administrators 2018-10-09 02:53:22 UTC Comment hidden (obsolete)
Comment 10 Harald Koester 2018-10-09 10:34:20 UTC
Bug still exists in version 6.1.2 (64 biz, Win 10).
Comment 11 Karsten 2019-01-16 11:16:28 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2021-01-16 04:17:16 UTC
Dear Harald Koester,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug